CI tweaks:
- don't install CPAN modules if NO_TEST_FRAMEWORK is set
- remove the workaround for mod_h2 APR build caching which
  should no longer be necessary now caching is fixed
- fix capturing specific perl-framework failures with "TEST -v" mode


git-svn-id: https://svn.apache.org/repos/asf/httpd/httpd/trunk@1916055 13f79535-47bb-0310-9956-ffa450edef68
diff --git a/test/travis_before_linux.sh b/test/travis_before_linux.sh
index a77feab..58c1337 100755
--- a/test/travis_before_linux.sh
+++ b/test/travis_before_linux.sh
@@ -42,11 +42,6 @@
     # Blow away the cached install root if the cached install is stale
     # or doesn't match the expected configuration.
     grep -q "${version} ${revision} ${config} CC=$CC" ${HOME}/root/.key-${name} || rm -rf ${prefix}
-    # TEST_H2 APR cache seems to be broken, do not use.
-    # Unknown why this happens on this CI job only and how to fix it
-    if test -v TEST_H2; then
-      rm -rf ${prefix}
-    fi
 
     if test -d ${prefix}; then
         return 0
@@ -66,8 +61,9 @@
 # Allow to load $HOME/build/apache/httpd/.gdbinit
 echo "add-auto-load-safe-path $HOME/work/httpd/httpd/.gdbinit" >> $HOME/.gdbinit
 
-# Prepare perl-framework test environment
-if ! test -v SKIP_TESTING; then
+# Unless either SKIP_TESTING or NO_TEST_FRAMEWORK are set, install
+# CPAN modules required to run the Perl test framework.
+if ! test -v SKIP_TESTING -o -v NO_TEST_FRAMEWORK; then
     # Clear CPAN cache if necessary
     if [ -v CLEAR_CACHE ]; then rm -rf ~/perl5; fi
     
diff --git a/test/travis_run_linux.sh b/test/travis_run_linux.sh
index c1a6fae..48b8b77 100755
--- a/test/travis_run_linux.sh
+++ b/test/travis_run_linux.sh
@@ -136,7 +136,7 @@
                 FAILERS="$FAILERS $FAILER"
             done < <(awk '/Failed:/{print $1}' test.log)
             if [ -n "$FAILERS" ]; then
-                t/TEST -v $FAILERS || true
+                make check TESTS="-v $FAILERS" || true
             fi
             # set -e would have killed us after the original t/TEST
             rm -f test.log